1.0

1.0

get /v1/saml-providers

Description

List saml providers

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020260223

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryfederation_type
optional
자격증명공급자 유형
Example :
any of [string, null]None
querysaml_provider_name
optional
자격증명공급자 이름
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKListSamlProviderResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/saml-providers

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "saml_providers": [
        {
            "account_id": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "creator_name": "",
            "description": "",
            "federation_type": "",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "modifier_name": "",
            "saml_provider_name": ""
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}